
Redmine - Defect #15994

Repository view does not obfuscate author emails

2014-01-29 19:36 - Jonas H

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Email addresses are shown in the repositories view, both in commit history as in graph_commits_per_author

Even though in the latter there is a comment (# Remove email adress in usernames) that this was intended to happen.

This applies to an svn repository, I have not verified others.

Affects latest version of repositories controller (2014-01-10)

Related issues:

Is duplicate of Redmine - Feature #2624: Repository statistics should honour ... Closed 2009-01-30

History

#1 - 2014-02-24 05:40 - Toshi MARUYAMA

- Category set to SCM

#2 - 2014-02-24 05:42 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #2624.

#3 - 2014-02-24 05:43 - Toshi MARUYAMA

- Is duplicate of Feature #2624: Repository statistics should honour user-mapping added

#4 - 2014-02-24 05:44 - Toshi MARUYAMA

You can hide mail address to map redmine user in commit log.
